/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * GuaranteeSummary
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class GuaranteeSummary {
  @SerializedName("label")
  private String label = null;

  @SerializedName("description")
  private String description = null;

  public GuaranteeSummary label(String label) {
    this.label = label;
    return this;
  }

   /**
   * Guarantee label.
   * @return label
  **/
  @ApiModelProperty(required = true, value = "Guarantee label.")
  public String getLabel() {
    return label;
  }

  public void setLabel(String label) {
    this.label = label;
  }

  public GuaranteeSummary description(String description) {
    this.description = description;
    return this;
  }

   /**
   * Guarantee description.
   * @return description
  **/
  @ApiModelProperty(value = "Guarantee description.")
  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    GuaranteeSummary guaranteeSummary = (GuaranteeSummary) o;
    return Objects.equals(this.label, guaranteeSummary.label) &&
        Objects.equals(this.description, guaranteeSummary.description);
  }

  @Override
  public int hashCode() {
    return Objects.hash(label, description);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class GuaranteeSummary {\n");
    
    sb.append("    label: ").append(toIndentedString(label)).append("\n");
    sb.append("    description: ").append(toIndentedString(description)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

